Add my nix scripts to path
diff --git a/scripts/nix-provider.sh b/scripts/nix-provider.sh
new file mode 100755
index 0000000..e6039a1
--- /dev/null
+++ b/scripts/nix-provider.sh
@@ -0,0 +1,43 @@
+#!/usr/bin/env bash
+if [ "$1" = "" ]
+then
+  read -ep "What command are you looking for?: " CMD
+else
+  CMD=$1
+fi
+
+LOCATION=$(command -V "$CMD" 2>&1 | sed -rn "s/.* (.*)$/\1/p")
+
+if [ "$LOCATION" = "found" ] # Not found
+then
+  echo "The command $CMD wasn't found"
+  exit 1
+fi
+
+if [ "$LOCATION" = "builtin" ] # Shell builtin
+then
+  echo "The command $CMD is a shell builtin"
+  exit 0
+fi
+
+RESOLVED_LOCATION=$(readlink -f "$LOCATION")
+
+if [[ ! "$RESOLVED_LOCATION" =~ ^\/nix\/store\/.*-.*-.*$ ]];
+then
+  echo "The command $CMD is at $RESOLVED_LOCATION"
+  exit 0
+fi
+
+PACKAGE=$(echo "$RESOLVED_LOCATION" | sed -rn "s/\/nix\/store\/.*-(.*)-.*/\1/p")
+
+SEARCHED=$(nix search "nixpkgs#$PACKAGE" 2>&1)
+
+if [ "$SEARCHED" = "error: no results for the given search term(s)!" ]
+then
+  echo "The command $CMD is at $RESOLVED_LOCATION"
+  exit 0
+fi
+
+echo "The command $CMD is from:"
+echo "$SEARCHED"
+echo "Which is available at $RESOLVED_LOCATION"
diff --git a/scripts/no-reparenting.sh b/scripts/no-reparenting.sh
new file mode 100755
index 0000000..ed0efb4
--- /dev/null
+++ b/scripts/no-reparenting.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+export _JAVA_AWT_WM_NONREPARENTING=1
diff --git a/scripts/prime-run.sh b/scripts/prime-run.sh
new file mode 100755
index 0000000..8624497
--- /dev/null
+++ b/scripts/prime-run.sh
@@ -0,0 +1,5 @@
+export __NV_PRIME_RENDER_OFFLOAD=1
+export __NV_PRIME_RENDER_OFFLOAD_PROVIDER=NVIDIA-G0
+export __GLX_VENDOR_LIBRARY_NAME=nvidia
+export __VK_LAYER_NV_optimus=NVIDIA_only
+exec -a "$0" "$@"
diff --git a/src/scripts/personal/scripts.nix b/src/scripts/personal/scripts.nix
new file mode 100644
index 0000000..1583490
--- /dev/null
+++ b/src/scripts/personal/scripts.nix
@@ -0,0 +1,9 @@
+{ pkgs, lib, ... }: let 
+  scripts = import ../../utils/scriptsIn.nix lib ../../../scripts;
+in {
+  home.packages = map (f: pkgs.writeShellScriptBin 
+    (builtins.elemAt (builtins.match "^(.*/)*(.*)\\.sh$" (toString f)) 1) 
+    (builtins.replaceStrings ["BASH_SOURCE[0]"] ["echo ${f}"] (builtins.readFile f))
+  ) scripts;
+}
+
diff --git a/src/utils/scriptsIn.nix b/src/utils/scriptsIn.nix
new file mode 100644
index 0000000..9cf1699
--- /dev/null
+++ b/src/utils/scriptsIn.nix
@@ -0,0 +1,2 @@
+# Modified from http://chriswarbo.net/projects/nixos/useful_hacks.html
+lib: dir: map (name: dir + "/${name}") (lib.attrNames (lib.filterAttrs (name: _: lib.hasSuffix ".sh" name) (builtins.readDir dir)))